﻿using System;
using System.Reflection;
using System.Runtime.InteropServices;
using System.Text;

namespace PACNET
{        
    /// <summary>PAC_ API</summary>
    public partial class BackLight
    {
        /// <summary>
        /// remote mode, the address need call a macro.
        /// </summary>

        //16.1. PAC_API void pac_SetBackLight(int level);
        /// <summary>
        /// This function is for backlight.
        /// </summary>
        [DllImport("PACSDK.dll", EntryPoint = "pac_SetBackLight")]
        [return: MarshalAs(UnmanagedType.I1)]
        public static extern void pac_SetBackLight(int level);

        //16.2. PAC_API void pac_SetBackLight_Slope(int level);
        /// <summary>
        /// This function is for backlight.
        /// </summary>
        [DllImport("PACSDK.dll", EntryPoint = "pac_SetBackLight_Slope")]
        [return: MarshalAs(UnmanagedType.I1)]
        public static extern void pac_SetBackLight_Slope(int level);

        //16.3. PAC_API void pac_get_Brightness();
        /// <summary>
        /// This function is for backlight.
        /// </summary>
        //[DllImport("PACSDK.dll", EntryPoint = "pac_get_Brightness")]
        //[return: MarshalAs(UnmanagedType.I1)]
        //public static extern uint pac_get_Brightness();

        [DllImport("PACSDK.dll", EntryPoint = "pac_get_Brightness")]
        public extern static int pac_get_Brightness();
    }

}